channels.getFullChannel
Get full info about a supergroup, gigagroup or channel
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get full info about a supergroup, gigagroup or channel
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.getFullChannel" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" } } }'{ "result": { "_": "messages.chatFull", "fullChat": { "_": "chatFull", "canSetUsername": true, "hasScheduled": true, "translationsDisabled": true, "id": 0, "about": "string", "participants": { "_": "chatParticipantsForbidden", "chatId": 0, "selfParticipant": { "_": "chatParticipant", "userId": 0, "inviterId": 0, "date": 0, "rank": "string" } }, "chatPhoto": { "_": "photoEmpty", "id": "string" }, "notifySettings": { "_": "peerNotifySettings", "showPreviews": true, "silent": true, "muteUntil": 0, "iosSound": { "_": "notificationSoundDefault" }, "androidSound": { "_": "notificationSoundDefault" }, "otherSound": { "_": "notificationSoundDefault" }, "storiesMuted": true, "storiesHideSender": true, "storiesIosSound": { "_": "notificationSoundDefault" }, "storiesAndroidSound": { "_": "notificationSoundDefault" }, "storiesOtherSound": { "_": "notificationSoundDefault" } }, "exportedInvite": { "_": "chatInviteExported", "revoked": true, "permanent": true, "requestNeeded": true, "link": "string", "adminId": 0, "date": 0, "startDate": 0, "expireDate": 0, "usageLimit": 0, "usage": 0, "requested": 0, "subscriptionExpired": 0, "title": "string", "subscriptionPricing": { "_": "starsSubscriptionPricing", "period": 0, "amount": "string" } }, "botInfo": [ { "_": "botInfo", "hasPreviewMedias": true, "userId": 0, "description": "string", "descriptionPhoto": { "_": "photoEmpty", "id": "string" }, "descriptionDocument": { "_": "documentEmpty", "id": "string" }, "commands": [ { "_": "botCommand", "ephemeral": true, "command": "string", "description": "string" } ], "menuButton": { "_": "botMenuButtonDefault" }, "privacyPolicyUrl": "string", "appSettings": { "_": "botAppSettings", "placeholderPath": "string", "backgroundColor": 0, "backgroundDarkColor": 0, "headerColor": 0, "headerDarkColor": 0 }, "verifierSettings": { "_": "botVerifierSettings", "canModifyCustomDescription": true, "icon": "string", "company": "string", "customDescription": "string" } } ], "pinnedMsgId": 0, "folderId": 0, "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "ttlPeriod": 0, "groupcallDefaultJoinAs": { "_": "peerUser", "userId": 0 }, "themeEmoticon": "string", "requestsPending": 0, "recentRequesters": [ "string" ], "availableReactions": { "_": "chatReactionsNone" }, "reactionsLimit": 0 }, "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getChannels
Get info about [channels/supergroups](https://core.telegram.org/api/channel)
getGroupsForDiscussion
Get all groups that can be used as [discussion groups](https://core.telegram.org/api/discussion). Returned [basic group chats](https://core.telegram.org/api/channel#basic-groups) must be first upgraded to [supergroups](https://core.telegram.org/api/channel#supergroups) before they can be set as a discussion group. To set a returned supergroup as a discussion group, access to its old messages must be enabled using `channels.RawTogglePreHistoryHiddenRequest`, first.